Installing PufferPanel on Ubuntu



  • When I attempt to install PufferPanel on my Ubuntu server; It displays this

    root@ns521703:~# sudo apt install -y openssl curl nginx mysql-client mysql-server php-fpm php-cli php-curl php-mysql
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Unable to locate package php-fpm
    E: Unable to locate package php-cli
    E: Unable to locate package php-curl
    E: Unable to locate package php-mysql
    root@ns521703:~#
    

    Any suggestions?

    (I did the steps before;

    # If you currently have apache2 installed you will not be able to use nginx as well. Please plan accordingly.
    sudo apt update
    


  • Your error message means that the ubuntu package manager (aptitude) was unable to locate those packages. What version of ubuntu are you using? It is strange that it cannot find those packages. It may be that your sources in /etc/apt/sources.list are not configured correctly.

    Another thing is the command you are trying to run probably needs to be updated on pufferpanel, as it is ambiguous as to which version of the php packages it is trying to install. pufferpanel requires php7.0, so maybe try "apt-get install php7.0-fpm php7.0-cli php7.0-curl php7.0-mysql" before looking into sources.



  • Dont know how to check Ubunutu version but I think im running Ubuntu 14.04.5 LTS

    I tried installing "apt-get install php7.0-fpm php7.0-cli php7.0-curl php7.0-mysql" but this is what it shows;

    root@ns521703:~# apt-get install php7.0-fpm php7.0-cli php7.0-curl php7.0-mysql
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Unable to locate package php7.0-fpm
    E: Couldn't find any package by regex 'php7.0-fpm'
    E: Unable to locate package php7.0-cli
    E: Couldn't find any package by regex 'php7.0-cli'
    E: Unable to locate package php7.0-curl
    E: Couldn't find any package by regex 'php7.0-curl'
    E: Unable to locate package php7.0-mysql
    E: Couldn't find any package by regex 'php7.0-mysql'
    root@ns521703:~#
    


  • ahh, in that case then i believe you are missing the php repo as described by the documention for installing pufferpanel on 14.04

    0_1494462604599_installing ubuntu 14.04.PNG

    this command here should add the repo
    "add-apt-repository ppa:ondrej/php"

    and hopefully all the commands run smoothly after that.


Log in to reply
 

Looks like your connection to PufferPanel Community was lost, please wait while we try to reconnect.